LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XRowSetSupplier Interface Referencepublished

uses a row set as datasource. More...

`import"XRowSetSupplier.idl";`

Inheritance diagram for XRowSetSupplier:

## Public Member Functions
com::sun::star::sdbc::XRowSet | getRowSet ()
| provides access to the data source. More...
void | setRowSet ([in] com::sun::star::sdbc::XRowSet xDataSource)
| sets the data source. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

uses a row set as datasource.

See also
  XRowSetChangeBroadcaster

## Member Function Documentation

## ◆ getRowSet()

com::sun::star::sdbc::XRowSet getRowSet | ( |  | ) |

provides access to the data source.

Returns
  the RowSet object

## ◆ setRowSet()

void setRowSet | ( | [in] com::sun::star::sdbc::XRowSet | xDataSource | ) |

sets the data source.

Parameters

  xDataSource | the RowSet object to set

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XRowSetSupplier.idl